Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema.ddl
Class SchemaReader

    java.lang.Object
      net.java.ao.schema.ddl.SchemaReader

    public final class SchemaReader

extends Object

WARNING: Not part of the public API. This class is public only to allow its use within other packages in the ActiveObjects library.

Author:
  Daniel Spiewak

Constructor Summary
`SchemaReader()`

Method Summary
`static DDLAction[]` | `diffSchema(DDLTable[] fromArray, DDLTable[] ontoArray, boolean caseSensetive)` Returns the difference between `from` and `onto` with a bias toward `from`.
`static DDLTable[]` | `readSchema(Connection connection, DatabaseProvider provider, SchemaConfiguration schemaConfiguration, boolean includeForeignKeys)`
`static DDLTable[]` | `readSchema(DatabaseProvider provider, SchemaConfiguration schemaConfiguration)` Currently doesn't account for: setOnUpdate setUnique
`static DDLTable[]` | `readSchema(DatabaseProvider provider, SchemaConfiguration schemaConfiguration, boolean includeForeignKeys)`
`static DDLAction[]` | `sortTopologically(DDLAction[] actions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaReader

    public SchemaReader()

Method Detail

### readSchema

    public static DDLTable[] readSchema(DatabaseProvider provider,
                                        SchemaConfiguration schemaConfiguration)
                                 throws SQLException

  Currently doesn't account for:
  - setOnUpdate
  - setUnique

  Throws:
    `SQLException`

### readSchema

    public static DDLTable[] readSchema(DatabaseProvider provider,
                                        SchemaConfiguration schemaConfiguration,
                                        boolean includeForeignKeys)
                                 throws SQLException

  Throws:
    `SQLException`

### readSchema

    public static DDLTable[] readSchema(Connection connection,
                                        DatabaseProvider provider,
                                        SchemaConfiguration schemaConfiguration,
                                        boolean includeForeignKeys)
                                 throws SQLException

  Throws:
    `SQLException`

### diffSchema

    public static DDLAction[] diffSchema(DDLTable[] fromArray,
                                         DDLTable[] ontoArray,
                                         boolean caseSensetive)

  Returns the difference between `from` and `onto` with a bias toward `from`. Thus, if a table is present in `from` but not `onto`, a `CREATE TABLE` statement will be generated.

### sortTopologically

    public static DDLAction[] sortTopologically(DDLAction[] actions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.